Search Students by Email or CPF
Endpoint used to query the data of a student registered in your institution in Toolzz LMS.
Request Example
Section titled “Request Example”curl --request GET \ --url 'https://kong.api.toolzz.com.br/admin/users/getUserInformation?by=email&value=student@example.com' \ --header 'Authorization: Bearer <token>'Response Example
Section titled “Response Example”{ "data": { "id": 1, "uuid": "<string>", "name": "<string>", "email": "<string>", "cpf": "<string>", "created_at": "<string>", "updated_at": "<string>", "ultima_atividade": "<string>", "school": { "id": 1, "titulo": "<string>" }, "address": { "id": 1, "address_id": 1, "cep": "<string>", "uf": "<string>", "cidade": "<string>", "bairro": "<string>", "logradouro": "<string>", "numero": "<string>", "complemento": "<string>" }, "custom_form": [ { "enunciado": "<string>", "pergunta_id": 1, "resposta": "<string>" } ], "institution": [ { "id": 1, "subdomain": "<string>", "titulo": "<string>" } ] }}Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (“Bearer” must be before the token) | Yes |
URL Parameters (Query)
Section titled “URL Parameters (Query)”| Parameter | Type | Description | Required |
|---|---|---|---|
by | string | Two possible values: "email" or "cpf", which the system will use to search for the user. | Yes |
value | string | Email or CPF of the desired user, according to the value set in by. | Yes |
Response description
Section titled “Response description”| Key | Type | Description |
|---|---|---|
data | object | User profile details. |
data.id | number | Unique identifier of the user. |
data.uuid | string | Universal Unique Identifier (UUID) of the user. |
data.name | string | Full name of the user. |
data.email | string | User email address. |
data.cpf | string | User’s CPF. |
data.created_at | string | Date and time the user was created. |
data.updated_at | string | Date and time of the last profile update. |
data.ultima_atividade | string | Date and time of the user’s last activity. |
data.school | object | School information. |
data.school.id | number | Unique identifier of the school. |
data.school.titulo | string | School name. |
data.address | object | User address details. |
data.address.id | number | Unique identifier of the address. |
data.address.address_id | number | Address reference ID. |
data.address.cep | string | ZIP code. |
data.address.uf | string | State abbreviation. |
data.address.cidade | string | City name. |
data.address.bairro | string | Neighborhood name. |
data.address.logradouro | string | Street name. |
data.address.numero | string | Residence or apartment number. |
data.address.complemento | string | Address complement (e.g., apartment, floor). |
data.custom_form | array | List of custom questions and answers. |
data.custom_form.enunciado | string | Question statement. |
data.custom_form.pergunta_id | number | Unique identifier of the question. |
data.custom_form.resposta | string | User’s answer to the question. |
data.institution | array | List of institutions associated with the user. |
data.institution.id | number | Unique identifier of the institution. |
data.institution.subdomain | string | Institution subdomain. |
data.institution.titulo | string | Institution name. |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request. Additionally, the API is protected by other security measures to safeguard user data.